Bug 1442763 - OpenStack refresh fail with nil:NilClass
Summary: OpenStack refresh fail with nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On: 1437624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 12:56 UTC by Satoe Imaishi
Modified: 2020-05-14 15:58 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437624
Environment:
Last Closed: 2017-05-31 15:05:00 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-18 00:51:00 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a175739f9b0c83b5f23791ae62cf00bb92681ff2

commit a175739f9b0c83b5f23791ae62cf00bb92681ff2
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Fri Apr 14 07:36:30 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 20:46:51 2017 -0400

    Merge pull request #1 from tzumainn/flavor-deleted-refresh
    
    Handle case where instance flavor is deleted
    (cherry picked from commit b7c9e492e2bc4619a00cbc64e53879e03568cc0e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442763

 .../openstack/cloud_manager/refresh_parser.rb      | 24 ++++++++++++----------
 1 file changed, 13 insertions(+), 11 deletions(-)

Comment 3 Ronnie Rasouli 2017-04-24 12:17:38 UTC
verified on 5.8.0.11-beta2

Comment 5 errata-xmlrpc 2017-05-31 15:05:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.